createXLS <- function(dir) {
  load(paste(dir,"figures.Rdata",sep=""))
  library(WriteXLS)
  
  fig7a <- data.frame(x=subset(figData$Fit.Histogram,group==1)$xmin,
                      Observed=subset(figData$Fit.Histogram,group==1)$ymax,
                    Predicted=subset(figData$Fit.Histogram,group==2)$ymax)
  fig7b <- data.frame(x=subset(figData$Fit.Histogram.NearICL,group==1)$xmin,
                      Observed=subset(figData$Fit.Histogram.NearICL,group==1)$ymax,
                      Predicted=subset(figData$Fit.Histogram.NearICL,group==2)$ymax)
  fig8 <- figData$timingAll
  
  fig9a <- figData$changeFillGap[,c("x","mean","q10","q25","q50","q75","q90")]
  fig9a$z <- 0
  fig9b <- figData$fillGap.timing
  
  fig7rs1 <- data.frame(x=subset(figData$Fit.Histogram.riskScoreQuartile1,group==1)$xmin,
                        Observed=subset(figData$Fit.Histogram.riskScoreQuartile1,group==1)$ymax,
                        Predicted=subset(figData$Fit.Histogram.riskScoreQuartile1,group==2)$ymax)
  fig7rs2 <- data.frame(x=subset(figData$Fit.Histogram.riskScoreQuartile2,group==1)$xmin,
                        Observed=subset(figData$Fit.Histogram.riskScoreQuartile2,group==1)$ymax,
                        Predicted=subset(figData$Fit.Histogram.riskScoreQuartile2,group==2)$ymax)
  fig7rs3 <- data.frame(x=subset(figData$Fit.Histogram.riskScoreQuartile3,group==1)$xmin,
                        Observed=subset(figData$Fit.Histogram.riskScoreQuartile3,group==1)$ymax,
                        Predicted=subset(figData$Fit.Histogram.riskScoreQuartile3,group==2)$ymax)
  fig7rs4 <- data.frame(x=subset(figData$Fit.Histogram.riskScoreQuartile4,group==1)$xmin,
                        Observed=subset(figData$Fit.Histogram.riskScoreQuartile4,group==1)$ymax,
                        Predicted=subset(figData$Fit.Histogram.riskScoreQuartile4,group==2)$ymax)
  
  
  WriteXLS(c("fig7a","fig7b","fig8","fig9a","fig9b",
             "fig7rs1", "fig7rs2", "fig7rs3", "fig7rs4"),
           ExcelFileName=paste(dir,"figureData.xlsx",sep="/"),
           SheetNames=c("Figure 7a Data", "Figure 7b Data",
             "Figure 8 Data", "Figure 9a Data", "Figure 9b Data",
             "Fit RS 1st quartile", "Fit RS 2nd quartile",
             "Fit RS 3rd quartile", "Fit RS 4th quartile"))
}




     
